Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.cluster.util
Interface IQueue

All Known Implementing Classes:
  FastQueue

public interface IQueue

A queue interface

Version:
  $Revision: 466608 $ $Date: 2006-10-21 17:10:15 -0600 (Sat, 21 Oct 2006) $
Author:
  Rainer Jung, Peter Rossbach

Method Summary
`boolean` | `add(java.lang.String key, java.lang.Object data)`
`int` | `getMaxQueueLength()`
`LinkObject` | `remove()`
`void` | `setMaxQueueLength(int length)`
`void` | `start()`
`void` | `stop()`

Method Detail

### remove

    public LinkObject remove()

### add

    public boolean add(java.lang.String key,
                       java.lang.Object data)

### getMaxQueueLength

    public int getMaxQueueLength()

### setMaxQueueLength

    public void setMaxQueueLength(int length)

### start

    public void start()

### stop

    public void stop()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.